<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ans__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ans_descr_value_t</compoundname>
    <includes local="no">cy_ble_ans.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ans__descr__value__t_1a6de5c8b947630bb970b0abcc9f27bfaf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_ans_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="97" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="97" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ans__descr__value__t_1aa24cc5095935f59c2e9845f784eb7e27" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_n_s__definitions_1gab77ef5ac4d41311ea5ff6f16f22d7281">cy_en_ble_ans_char_index_t</ref></type>
        <definition>cy_en_ble_ans_char_index_t cy_stc_ble_ans_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Characteristic index of Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="98" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ans__descr__value__t_1acd538aaf83989b958eabdf593dc14fd1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_n_s__definitions_1gab8571afcd728f1573abd7ffd4b42c9b7">cy_en_ble_ans_descr_index_t</ref></type>
        <definition>cy_en_ble_ans_descr_index_t cy_stc_ble_ans_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Service Characteristic descriptor index. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ans__descr__value__t_1a3b2d941c8d2cac7fe813097d757828d0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_ans_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Pointer to the Value of the Service Characteristic Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="100" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Alert Notification Service Characteristic descriptor Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="84">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="82">
        <label>cy_stc_ble_ans_descr_value_t</label>
        <link refid="structcy__stc__ble__ans__descr__value__t" />
        <childnode refid="83" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="84" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="83">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="102" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" bodystart="95" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ans.h" line="96" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ans__descr__value__t_1aa24cc5095935f59c2e9845f784eb7e27" virt="non-virtual"><scope>cy_stc_ble_ans_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ans__descr__value__t_1a6de5c8b947630bb970b0abcc9f27bfaf" virt="non-virtual"><scope>cy_stc_ble_ans_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ans__descr__value__t_1acd538aaf83989b958eabdf593dc14fd1" virt="non-virtual"><scope>cy_stc_ble_ans_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__ans__descr__value__t_1a3b2d941c8d2cac7fe813097d757828d0" virt="non-virtual"><scope>cy_stc_ble_ans_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>